//
//  EpisodeSelectionTableController.h
//  MobileDaxhotel
//
//  Created by Raphael Schweikert on 18.11.08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MobileDaxhotelAppDelegate;

@interface EpisodeSelectionTableController : UITableViewController {
    NSDictionary *currentSeries;
    MobileDaxhotelAppDelegate *appDelegate;
}

@property(nonatomic, retain) NSDictionary *currentSeries;
@property(nonatomic, retain) MobileDaxhotelAppDelegate *appDelegate;

- (NSUInteger)currentSeriesId;
- (NSDictionary *)episodeForRowAtIndexPath:(NSIndexPath *)indexPath;
- (BOOL)shouldColorCells;

+ (UIColor *)seriesColorForSeriesWithIdentifier:(NSString *)seriesIdentifier asWeb:(BOOL)asWeb;

@end
