//
//  MobileDaxhotelAppDelegate.h
//  MobileDaxhotel
//
//  Created by Raphael Schweikert on 11.06.08.
//  Copyright sabberworm 2008. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "DataController.h"
#import "DataLoader.h"
#import "LoaderWindowController.h"
#import "MainWindowTableController.h"
#import "DetailViewController.h"
#import "SearchEpisodeSelectionTableController.h"

@class MainWindowTableController;
@class DetailViewController;

@interface MobileDaxhotelAppDelegate : NSObject <UIApplicationDelegate,UIActionSheetDelegate> {
    IBOutlet UIWindow *mainWindow;
    IBOutlet UIView *loaderView;
    IBOutlet LoaderWindowController *loaderWindowController;
    IBOutlet UINavigationController *mainWindowController;
    IBOutlet MainWindowTableController *mainWindowTableController;
    IBOutlet DetailViewController *detailView;
}

@property (nonatomic, retain) UIWindow *mainWindow;
@property (nonatomic, retain) DetailViewController *detailView;
@property (nonatomic, retain) MainWindowTableController *mainWindowTableController;
@property (nonatomic, retain) LoaderWindowController *loaderWindowController;

- (void)finishedLoading;
- (void)activateMainView;
- (DataController *)dataController;

@end

